#ifndef AMBIENTLIGHTCONTROL_H
#define AMBIENTLIGHTCONTROL_H

#include <Arduino.h>
#include "LedControl.h"

class AmbientLightControl {
  public:
    static AmbientLightControl& getInstance();
    void start();
    void setBrightnessAuto(bool newState);
    bool getBrightnessAuto(void);
    void setMinBrightness(uint8_t newMinBrightness);
    uint8_t getMinBrightness(void);
    void updateBrightness();

  private:
    AmbientLightControl();
    uint8_t measureAmbientBrightness(void);
    LedControl& ledcontrol = LedControl::getInstance();
    bool brightnessAuto;
    uint8_t minBrightness;
    uint8_t lastBrightness;
    int minADC;
    int maxADC;
    int adcToBrightness;
    uint8_t lastadcBrightness;    
};

#endif
