#ifndef BROWSERGUI_H
#define BROWSERGUI_H

#include <Arduino.h>
#include <ESP8266WebServer.h>
#include "WifiControl.h"
#include "LedControl.h"
#include "Timecontrol.h"
#include "AmbientLightControl.h"

class BrowserGui {
  public:
    static BrowserGui& getInstance();
    void start();
    void serverLoop();

  private:
    BrowserGui();
    BrowserGui(const BrowserGui&);
    void onSetDisplaySettings();
    void onSetWifiData();
    void onSetSettings();

    void showIndexPage();
    void showDisplaySettingsPage();
    void showWifiDataPage();
    void showSettingsPage();
    void showHelpPage();

    ESP8266WebServer *guiServer = NULL;
    WifiControl& wificontrol = WifiControl::getInstance();
    LedControl& ledcontrol = LedControl::getInstance();
    TimeControl& timecontrol = TimeControl::getInstance();
    AmbientLightControl& ambcontrol = AmbientLightControl::getInstance();
    unsigned int localPort;
    String homePage;
};

#endif
