#ifndef DEVICE_H
#define DEVICE_H
 
#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>
#include <WiFiUDP.h>
#include "CallbackFunction.h"

 
class Device {
private:
        ESP8266WebServer *server = NULL;
        WiFiUDP UDP;
        String serial;
        String persistent_uuid;
        String device_name;
        unsigned int localPort;
        CallbackFunction onCallback;
        CallbackFunction offCallback;
    
        void startWebServer();
        void handleEventservice();
        void handleUpnpControl();
        void handleSetupXml();
public:
        Device();
        Device(String alexaInvokeName, unsigned int port, CallbackFunction onCallback, CallbackFunction offCallback);
        String getAlexaInvokeName();
        void serverLoop();
        void respondToBelkinSearch(IPAddress& senderIP, unsigned int senderPort);
        void respondToOtherSearch(IPAddress& senderIP, unsigned int senderPort);
        void switchOnDevice();
        void switchOffDevice();
};
 
#endif
