#ifndef LEDCONTROL_H
#define LEDCONTROL_H
#define FASTLED_ESP8266_RAW_PIN_ORDER
#define FASTLED_ALLOW_INTERRUPTS 0
#define FASTLED_INTERRUPT_RETRY_COUNT 3
#include <Arduino.h>
#include <FastLED.h>

class LedControl {
  public:
    static LedControl& getInstance();
    void start();
    void setColor(CRGB color);
    void setColor(String string);
    void setBrightness(uint8_t brightness);
    void setTime(uint8_t hours, uint8_t minutes);
    void setNightmode(String string1, String string2);
    void setNightBegin(uint8_t hours, uint8_t minutes);
    void setNightEnd(uint8_t hours, uint8_t minutes);
    void setTemporaryColor(CRGB color);
    void unsetTemporaryColor();
    void setDreiviertelMode(bool newMode);
    bool getDreiviertelMode();

  private:
    LedControl();
    LedControl(const LedControl&);

    void updateLeds();
    void clearLeds();
    void TimeToDisplay();
    bool isNightmode();

    uint8_t hh;
    uint8_t mm;
    /* nightmode in minutes from midnight, hours * 60 + minutes-> easier to compare */
    uint32_t nightBegin = 0;
    uint32_t nightEnd = 0;
    uint8_t showBrightness;
    CRGB showColor;
    bool dreiviertelMode = true;
};

#endif
