#ifndef STORAGE_H
#define STORAGE_H

#include <Arduino.h>

#define EEPROM_SIZE             512
#define FIRSTFLASH_START        200 //pattern to set standard values to flash on very first flash
#define SSID_START              0
#define PASSWORD_START          36
#define WIFI_DATA_LENGTH        32 //32 chars each (SSID,Password)
#define COLOR_START             80 //RGB, each 1 byte
#define BRIGHTNESS_START        85 // 0-100, 1byte
#define BRIGHTNESSAUTO_START    90 //bool,1byte
#define NIGHTBEGIN_START        95 //int, minutes from 0:00
#define NIGHTEND_START          100 //int, minutes from 0:00
#define UTC_DIFF_START          105 //int, -12 - +14 hours
#define SUMMERTIMEAUTO_START    110 //bool,1byte
#define DREIVIERTELMODE_START   115 //bool,1byte
#define AMBIENTMIN_START        120 //int,4byte
#define AMBIENTMAX_START        125 //int,4byte

void storageInit();
void checkFirstFlash();
void saveWifiData(char* ssid, char* password);
void loadWifiData(char *ssid, char* password);
void saveColor(uint8_t r, uint8_t b, uint8_t g);
void loadColor(uint8_t *r, uint8_t *b, uint8_t *g);
void saveMinBrightness(uint8_t brightness);
void loadMinBrightness(uint8_t *brightness);
void saveBrightnessAuto(bool newValue);
void loadBrightnessAuto(bool *value);
void saveNightBegin(uint32_t nightBegin);
void loadNightBegin(uint32_t *nightBegin);
void saveNightEnd(uint32_t nightEnd);
void loadNightEnd(uint32_t *nightEnd);
void saveUtcDiff(int utcDiff);
void loadUtcDiff(int *utcDiff);
void saveSummertimeAuto(bool newValue);
void loadSummertimeAuto(bool *value);
void saveDreiviertelMode(bool newValue);
void loadDreiviertelMode(bool *value);
void saveAmbientMin(int newValue);
void loadAmbientMin(int *value);
void saveAmbientMax(int newValue);
void loadAmbientMax(int *value);
void intitializeDefaultValues();

#endif
