#ifndef TIMECONTROL_H
#define TIMECONTROL_H

#include <Arduino.h>
#include <TimeLib.h>
#include "WifiControl.h"

class TimeControl {
  public:
    static TimeControl& getInstance();
    void start();
    /*return the current time*/
    void getTime(uint8_t *hh, uint8_t *mm, uint8_t *ss);

    /*the difference from utc time (Range: -12 +14) */
    void setTimeZone(int newTimezone);
    int getTimeZone(void);

    /*shall summertime be calculated*/
    void setSummertimeAuto(bool newState);
    bool getSummertimeAuto(void);

  private:
    TimeControl();
    TimeControl(const TimeControl&);
    WifiControl& wificontrol = WifiControl::getInstance();
    bool isSummertime(void);
    bool summerTimeAuto;
};

#endif
