#ifndef WIFICONTROL_H
#define WIFICONTROL_H

#include <Arduino.h>
#include <ESP8266WiFi.h>

typedef enum Wifimode_t
{
  WIFI_NOT_CONNECTED,
  WIFI_STA_FAILED,
  WIFI_STA_CONNECTED
} WifiState;

class WifiControl {
  public:
    static WifiControl& getInstance();
    void start();
    void serverLoop();
    boolean connectWifi();
    void openAccessPoint();
    boolean isWifiConnected();
    void setWifiData(String ssid_string, String pw_string);
    void hostByName(const char* aHostname, IPAddress& aResult);
    IPAddress getCurrentIP();
  private:
    WifiControl();
    WifiControl(const WifiControl&);
    boolean connectedToWifi;
    IPAddress ip;
};




#endif
